#!/usr/bin/make -f

export PYBUILD_NAME=fpyutils

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc

	# These files are empty..
	rm -f debian/python-fpyutils-doc/usr/share/doc/python-fpyutils-doc/html/.nojekyll
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.
